Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.sequence.types
Class AminoAcid

    java.lang.Object
      |
      +--uk.ac.man.bioinf.util.AbstractEnumeration
            |
            +--uk.ac.man.bioinf.sequence.types.AbstractElement
                  |
                  +--uk.ac.man.bioinf.sequence.types.AminoAcid

All Implemented Interfaces:
  Element, ProteinResidue, Residue

public final class AminoAcid
extends AbstractElement
implements ProteinResidue

AminoAcid.java A class for the representation of an amino-acid. This class is an enumeration of types. Created: Wed Feb 16 20:30:57 2000

Version:
  $Id: AminoAcid.java,v 1.6 2001/04/11 17:04:43 lord Exp $
Author:
  Phillip Lord

Nested Class Summary

Nested classes inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`AbstractEnumeration.ElementIterator`

Field Summary
`static AminoAcid` | `ALANINE`
`static AminoAcid` | `ANY`
`static AminoAcid` | `ARGININE`
`static AminoAcid` | `ASNORASP`
`static AminoAcid` | `ASPARAGINE`
`static AminoAcid` | `ASPARTICACID`
`static AminoAcid` | `CYSTEINE`
`static AminoAcid` | `GLUORGLN`
`static AminoAcid` | `GLUTAMICACID`
`static AminoAcid` | `GLUTAMINE`
`static AminoAcid` | `GLYCINE`
`static AminoAcid` | `HISTIDINE`
`static AminoAcid` | `ISOLEUCINE`
`static AminoAcid` | `LEUCINE`
`static AminoAcid` | `LYSINE`
`static AminoAcid` | `METHIONINE`
`static AminoAcid` | `PHENYLALANINE`
`static AminoAcid` | `PROLINE`
`static AminoAcid` | `SERINE`
`static AminoAcid` | `THREONINE`
`static AminoAcid` | `TRYPTOPHAN`
`static AminoAcid` | `TYROSINE`
`static AminoAcid` | `VALINE`

Fields inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`ord`

Method Summary
`static AminoAcid[]` | `getAll()`
`String` | `getFullName()`
`String` | `getThreeLetter()`

Methods inherited from class uk.ac.man.bioinf.sequence.types.AbstractElement
`getAllSequenceElements, toChar`

Methods inherited from class uk.ac.man.bioinf.util.AbstractEnumeration
`getAllElements, getSize, iterator, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface uk.ac.man.bioinf.sequence.Element
`toChar`

Field Detail

### GLYCINE

    public static final AminoAcid GLYCINE

### ALANINE

    public static final AminoAcid ALANINE

### VALINE

    public static final AminoAcid VALINE

### LEUCINE

    public static final AminoAcid LEUCINE

### ISOLEUCINE

    public static final AminoAcid ISOLEUCINE

### SERINE

    public static final AminoAcid SERINE

### CYSTEINE

    public static final AminoAcid CYSTEINE

### THREONINE

    public static final AminoAcid THREONINE

### METHIONINE

    public static final AminoAcid METHIONINE

### PHENYLALANINE

    public static final AminoAcid PHENYLALANINE

### TYROSINE

    public static final AminoAcid TYROSINE

### TRYPTOPHAN

    public static final AminoAcid TRYPTOPHAN

### PROLINE

    public static final AminoAcid PROLINE

### HISTIDINE

    public static final AminoAcid HISTIDINE

### LYSINE

    public static final AminoAcid LYSINE

### ARGININE

    public static final AminoAcid ARGININE

### ASPARTICACID

    public static final AminoAcid ASPARTICACID

### GLUTAMICACID

    public static final AminoAcid GLUTAMICACID

### ASPARAGINE

    public static final AminoAcid ASPARAGINE

### GLUTAMINE

    public static final AminoAcid GLUTAMINE

### ASNORASP

    public static final AminoAcid ASNORASP

### GLUORGLN

    public static final AminoAcid GLUORGLN

### ANY

    public static final AminoAcid ANY

Method Detail

### getThreeLetter

    public String getThreeLetter()

### getFullName

    public String getFullName()

### getAll

    public static AminoAcid[] getAll()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD